# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Enum MediaRestriction.Relationship

    java.lang.Object
      java.lang.Enum<MediaRestriction.Relationship>
          com.google.gdata.data.media.mediarss.MediaRestriction.Relationship

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MediaRestriction.Relationship>

Enclosing class:
  MediaRestriction

    public static enum MediaRestriction.Relationship

extends java.lang.Enum<MediaRestriction.Relationship>

Values for the relationship attribute.

Enum Constant Summary
`ALLOW`
`DENY`

Method Summary
`static MediaRestriction.Relationship` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MediaRestriction.Relationship[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALLOW

    public static final MediaRestriction.Relationship ALLOW

### DENY

    public static final MediaRestriction.Relationship DENY

Method Detail

### values

    public static MediaRestriction.Relationship[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MediaRestriction.Relationship c : MediaRestriction.Relationship.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MediaRestriction.Relationship valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null